libdwarf 安全漏洞

2次阅读
没有评论

漏洞信息详情

libdwarf 安全漏洞

  • CNNVD编号:CNNVD-201610-437
  • <!--

  • 危害等级: 中危-->
  • 危害等级: 中危

  • CVE编号: CVE-2016-8679

  • 漏洞类型:

    缓冲区错误

  • 发布时间:

    2016-10-18

  • 威胁类型:

    本地

  • 更新时间:

    2020-06-12

  • 厂        商: libdwarf_project
  • 漏洞来源: Agostino Sarubbo o...

漏洞简介

libdwarf是一套用于读取和写入DWARF2调试信息的工具。

libdwarf 20161001及之前的版本中的libdwarf/dwarf_util.c文件的‘_dwarf_get_size_of_val’函数存在安全漏洞。远程攻击者可利用该漏洞造成拒绝服务(越边界读取)。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,详情请关注厂商主页:

https://github.com/tomhughes/libdwarf/

参考网址

来源:MISC

链接:https://blogs.gentoo.org/ago/2016/10/06/libdwarf-heap-based-buffer-overflow-in-_dwarf_get_size_of_val-dwarf_util-c/

来源:BID

链接:https://www.securityfocus.com/bid/93601

来源:CONFIRM

链接:https://bugzilla.redhat.com/show_bug.cgi?id=1385689

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2016/10/16/3

受影响实体

  • Libdwarf_project Libdwarf:20161124  

    <!--

    2000-1-1

    -->


补丁

  • libdwarf'dwarf_util.c'基于堆的缓冲区溢出漏洞的修复措施

    <!--

    2016-10-18

    -->


admin
版权声明:本站原创文章,由 admin2022-01-14发表,共计817字。
转载说明:除特殊说明外本站文章皆由CC-4.0协议发布,转载请注明出处。
评论(没有评论)
验证码